Tag Archive for php

The repository for Debian-based LAMP servers

The latest versions of NGINX server

Instructions
Using Dotdeb is very simple:

For the main Dotdeb repository, depending on your distribution (lenny/oldstable or squeeze/stable), add these two lines to your /etc/apt/sources.list file (choosing a mirror near you) :
Read more

Directadmin — add IMAP module to php

Reported for custombuild:

1) install c-client.
Debian:
apt-get install libc-client-dev

rpm systems (CentOS, fedora):
yum install libc-client libc-client-devel
Read more

Directadmin — add custom modules to php with custombuild

If you want to add any extra modules to php, they’ll most likely need to be compiled in. Any module that needs to be compiled in will have a —with-module type flag which will need to be used. To add this flag, run the following:

cd /usr/local/directadmin/custombuild
mkdir -p custom/ap2
cp -fp configure/ap2/configure.php5 custom/ap2/configure.php5

#add your —with-module line to the end of the custom/ap2/configure.php5 file,
# and make sure the \ character exists at the end of all lines except the last one.
Read more

amon.so: Hijacking System Calls For Hardening PHP — Debian Lenny And Squeeze

amon.so is a library that integrates with the PHP interpreter and intercepts and manipulates the system calls provided by libc6. It replace the execve() syscall with a custom function which does extra sanity checking in order to prevent that an attacker could execute arbitrary code on the system exploiting a vulnerability in a web-based application (such as a bugged cms). It’s open-source software released under the terms of the GPL license and compatible with PHP running as a CGI process or Apache’s DSO module. The official website is http://www.lucaercoli.it/

For this brand new project at the moment there aren’t prebuilt packages, therefore to use it you must download the source code and compile it.

In order to install the compiler (gcc) with development libraries and header files, open a terminal and execute the following command:
Read more

Downgrade php 5.3 to php 5.2.17 on CentOS

На одном из серверов после автоматического обновления системы, php проапгрейдился до версии 5.3.
Начались проблемы :(
Пришлось откатываться на предыдущую версию.
Read more